Name: alsa-tools
Version: 1.0.16
Release: alt1

%define beta %nil
%define ver %{version}%beta
%define _unpackaged_files_terminate_build 1

Summary: Advanced Linux Sound Architecture (ALSA) tools
License: GPL
Group: System/Kernel and hardware
Packager: Michael Shigorin <mike@altlinux.org>

Url: http://www.alsa-project.org/
Source: ftp://ftp.alsa-project.org/pub/utils/%name-%ver.tar.bz2

Obsoletes: alsa2-tools < 0.9.4
Provides: alsa2-tools = %version
Requires: libalsa >= %version

# Automatically added by buildreq on Tue Oct 17 2006 (-bi)
BuildRequires: gcc-c++ imake libXext-devel libXft-devel libXt-devel libalsa-devel libfltk-devel libgtk+2-devel xorg-cf-files

# actually needs a better fix...
BuildRequires: kernel-headers-alsa
BuildRequires: libalsa-devel >= %version
BuildRequires: gtk+-devel

# someone remind me how to cheat SourceIfExists clones
Provides: /etc/default/ld10k1

# due to %_bindir/as10k1
Conflicts: emu10k1-tools

Summary(ru_RU.KOI8-R):  ALSA
Summary(uk_UA.KOI8-U):  ALSA

%description
Advanced Linux Sound Architecture (ALSA) tools. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

You may install this package if you really want use this low-level utils with
some audio cards.

%description -l ru_RU.KOI8-R
   ALSA (   Linux), 
       
(  Envy24, EMU10K1).

%description -l uk_UA.KOI8-U
 ͦ  ALSA (ϧ ϧ Ц Linux), 
  Ҧϧ     
( ަ Envy24, EMU10K1).

%package -n ld10k1
Summary: EMU10K1 patch loader/linker
Group: System/Kernel and hardware

%description -n ld10k1
EMU10K1 patch loader/linker, see also as10k1

%package -n liblo10k1
Summary: lo10k1 library
Group: System/Libraries

%description -n liblo10k1
lo10k1 library

%package -n liblo10k1-devel
Summary: lo10k1 library, development part
Group: Development/C

%description -n liblo10k1-devel
lo10k1 library, development part

%prep
%setup -q -n %name-%ver

# disable this ugly beast until someone finds the heart to fix it
rm qlo10k1/configure

subst 's/-Werror //' `find ac3dec -name 'Makefile*'`
subst 's/echomixer_LDFLAGS/echomixer_LDADD/' echomixer/Makefile*
subst 's/envy24control_LDFLAGS/envy24control_LDADD/' envy24control/Makefile*
subst 's/rmedigicontrol_LDFLAGS/rmedigicontrol_LDADD/' rmedigicontrol/Makefile*
subst 's,/etc/hotplug/usb,\$(sysconfdir)/hotplug/usb,' usx2yloader/Makefile*

find -name 'configure*' | while read path; do
	subst 's,/lib/modules/[^/]*/build/include,%_includedir/linux,g' $path
	subst 's,LDFLAGS=\(.*\)\$LDFLAGS\(.*\(LIBS\|-l\).*\),LIBS=\1$LIBS\2,' $path
done

%build
# will be needed for qlo10k1
#unset QTDIR || : ; . /etc/profile.d/qt3dir.sh ; PATH=$PATH:$QTDIR/bin
export CFLAGS="$CFLAGS -I%_includedir/linux/include -I%_includedir/sound"
%define confflags --with-soundbase=%_includedir/

find -name configure | sort | while read path; do
	pushd `dirname $path`
	%configure %confflags
	# break package build if compilation fails
	%make_build || exit 1
	popd
done

make -C as10k1/examples

%install
find -name configure | while read path; do
	pushd `dirname $path`
	%makeinstall \
		PIXMAP_DIR=%buildroot%_datadir/pixmaps \
		DESKTOP_DIR=%buildroot%_datadir/applications
	popd
done

mkdir -p %buildroot{%_datadir/emu10k1,%_menudir}
cp -f as10k1/examples/*.asm %buildroot%_datadir/emu10k1/

# Prepare documentation
for file in AUTHORS ChangeLog NEWS README TODO; do
	find -name "$file" | cut -c3- | while read fpath; do
		if [ -s "$fpath" ]; then
			mv "$fpath" "$file".`dirname $fpath | tr / .`
		fi
	done
done

mkdir -p %buildroot%_man1dir/
install -m644 `find -maxdepth 2 -name '*.1'` %buildroot%_man1dir/

cat <<EOF > echomixer.menu
?package(echomixer): needs="X11" section="Configuration/Hardware" \
title="Echoaudio Mixer" longtitle="Mixer controls for Echoaudio" \
command="%_bindir/echomixer" icon="echomixer.png"
EOF

cat <<EOF > envy24control.menu
?package(envy24control): needs="X11" section="Configuration/Hardware" \
title="Envy24 Control" longtitle="GUI for Envy24-based soundcards" \
command="%_bindir/envy24control" icon="envy24control.png"
EOF

cat <<EOF > hdspconf.menu
?package(hdspconf): needs="X11" section="Configuration/Hardware" \
title="HDSP Configuration" longtitle="Hammerfall HDSP Configuration" \
command="%_bindir/hdspconf" icon="hdspconf.png"
EOF

install -p -m644 echomixer.menu %buildroot%_menudir/echomixer
install -p -m644 envy24control.menu %buildroot%_menudir/envy24control
install -p -m644 hdspconf.menu %buildroot%_menudir/hdspconf

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_man1dir/*
%_datadir/emu10k1/
%_datadir/sounds/opl3/
%_datadir/pixmaps/*.png
%_datadir/applications/*.desktop
%_sysconfdir/hotplug/usb/*
%_menudir/*
%doc AUTHORS* ChangeLog* NEWS* README* TODO*
%exclude %_bindir/lo10k1

%files -n ld10k1
%_bindir/lo10k1
%_sbindir/*
%_datadir/ld10k1/

%files -n liblo10k1
%_libdir/liblo10k1.so.*

%files -n liblo10k1-devel
%_libdir/liblo10k1.so
%_includedir/lo10k1/
%_datadir/aclocal/ld10k1.m4

# FIXME:
# - qlo10k1 build
# - desktop files
# - patch ld10k1/setup/init_live.in, remove fake Provides:
# - ld10k1 initscript? (Debian)

%changelog
* Sun Feb 24 2008 Igor Zubkov <icesik@altlinux.org> 1.0.16-alt1
- NMU:
  + 1.0.15 -> 1.0.16

* Sun Oct 21 2007 Igor Zubkov <icesik@altlinux.org> 1.0.15-alt1
- NMU:
  + 1.0.14 -> 1.0.15

* Tue Sep 18 2007 Kirill A. Shutemov <kas@altlinux.ru> 1.0.14-alt1.1
- NMU
- Drop BuildRequires: kernel-headers-std. Use glibc-kernheaders instead.

* Mon Jun 11 2007 Michael Shigorin <mike@altlinux.org> 1.0.14-alt1
- 1.0.14
- updated buildrequires
- set _unpackaged_files_terminate_build

* Mon Oct 16 2006 Michael Shigorin <mike@altlinux.org> 1.0.13-alt1
- 1.0.13 (codename Dirty Hack)
- s/2\.4/2.6/
- disabled new-and-ugly qlo10k1 build for now
- worked around echomixer, envy24control, rmedigicontrol
  build regressions with --as-needed
- split off ld10k1, liblo10k1{,devel} subpackages

* Wed Apr 19 2006 Michael Shigorin <mike@altlinux.org> 1.0.11-alt1
- 1.0.11

* Wed Apr 05 2006 Michael Shigorin <mike@altlinux.org> 1.0.11-alt0.4
- 1.0.11rc4
- spec cleanup

* Sat Mar 04 2006 Michael Shigorin <mike@altlinux.org> 1.0.11-alt0.3
- 1.0.11rc3

* Sun Feb 05 2006 Michael Shigorin <mike@altlinux.org> 1.0.10-alt2
- s/XFree86-devel-static/XFree86-devel/

* Wed Nov 16 2005 Michael Shigorin <mike@altlinux.org> 1.0.10-alt1
- 1.0.10

* Thu Jun 23 2005 Michael Shigorin <mike@altlinux.org> 1.0.9-alt1
- 1.0.9
- NB: %_datadir/emu10k1 asm files renamed in upstream
- found echomixer, adding menufile. :)

* Thu Jun 09 2005 Michael Shigorin <mike@altlinux.ru> 1.0.9-alt0
- 1.0.9
- removed gcc34 patch

* Wed Feb 23 2005 Michael Shigorin <mike@altlinux.ru> 1.0.8-alt2
- rebuilt with gcc3.4 (and gentoo patch for that matter)

* Thu Jan 13 2005 Michael Shigorin <mike@altlinux.ru> 1.0.8-alt1
- 1.0.8

* Thu Dec 16 2004 Michael Shigorin <mike@altlinux.ru> 1.0.7-alt1
- 1.0.7

* Sat Jun 26 2004 Michael Shigorin <mike@altlinux.ru> 1.0.5-alt2
- fixed thinko in Conflicts:
- added ru/uk package info
- renamed %_menudir/*.menu to drop ".menu" suffix
- updated kernel headers version

* Mon May 31 2004 Michael Shigorin <mike@altlinux.ru> 1.0.5-alt1
- 1.0.5

* Sat Apr 03 2004 Michael Shigorin <mike@altlinux.ru> 1.0.4-alt1
- 1.0.4
- added menufiles for envy24control and hdspconf, thanks to Sergey Pinaev (dfo@)
  for notifyin' and buggin' till it was done :-)

* Sun Mar 21 2004 Michael Shigorin <mike@altlinux.ru> 1.0.3-alt2
- got back missing envy24control binary
  (thanks to Sergey Pinaev <dfo antex ru> for noticing)
- added Conflicts: emu10k1-tools

* Tue Mar 02 2004 Michael Shigorin <mike@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Thu Jan 29 2004 Michael Shigorin <mike@altlinux.ru> 1.0.2-alt2
- 1.0.2, Final Upload by ALSA Project (TM) 20040129 18:35 +0200
- thanks to Sergey Vlasov (vsu@) for alerting about re-uploads

* Wed Jan 28 2004 Michael Shigorin <mike@altlinux.ru> 1.0.2-alt1
- 1.0.2
- removed "alsa" dependency for the time being
- spec cleanup: cycle over found targets instead of copy/paste blocks
  (also fixes #3230)
- revamped docs unclash/installation
- refreshed build deps
- fixed CLAGS typo

* Thu Jan 15 2004 Michael Shigorin <mike@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Wed Oct 22 2003 Michael Shigorin <mike@altlinux.ru> 0.9.8-alt1
- 0.9.8
- updated buildrequires
- spec cleanup

* Fri Sep 26 2003 Michael Shigorin <mike@altlinux.ru> 0.9.7-alt1
- 0.9.7
- updated --with-soundbase value to reflect unified alsa headers location

* Wed Jul 30 2003 Michael Shigorin <mike@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Tue Jul 15 2003 Michael Shigorin <mike@altlinux.ru> 0.9.5-alt1
- 0.9.5

* Mon Jun 23 2003 Michael Shigorin <mike@altlinux.ru> 0.9.4-alt1
- 0.9.4
- renamed to alsa-tools

* Wed Apr 02 2003 Michael Shigorin <mike@altlinux.ru> 0.9.1-alt0.1
- 0.9.1 (unofficial build)

* Tue Feb 04 2003 Rider <rider@altlinux.ru> 0.9.0rc7-alt2
- 0.9.0rc7

* Mon Jan 20 2003 Rider <rider@altlinux.ru> 0.9.0rc6-alt2
- build requires fix (autoconf & automake)

* Tue Nov 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc6-alt1
- 0.9.0rc6
- Rebuilt in new environment

* Mon Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc1-alt1
- 0.9.0rc1

* Thu Feb 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta12-alt1
- 0.9.0beta12

* Wed Dec 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta10-alt1
- 0.9.0beta10
- Removed as10k1 to avoid conflicts with emu10k1-utils

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta9-alt1
- 0.9.0beta9

* Fri Oct 12 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta8-alt1
- 0.9.0beta8

* Fri Sep 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta7-alt1
- First build for Sisyphus
